@echo off
if not exist generated md generated
if exist generated\meowment rd /s /q generated\meowment
if exist generated\meowment-network rd /s /q generated\meowment-network
md generated\meowment
md generated\meowment-network
for %%i in (thrift-files/meowment/*.thrift) do .\compiler\exe\thrift.exe -o .\generated\meowment -strict -r --gen netstd:unity,serial,async_postfix .\thrift-files\meowment\%%i
.\compiler\exe\thrift.exe -o .\generated\meowment-network -strict -r --gen netstd:no_deepcopy,unity,serial,async_postfix .\thrift-files\meowment-network\Network.thrift
pause